IM_HEADER(3)

NAME
im_header_int, im_header_double, im_header_string - read fields from the image header

SYNOPSIS
#include <vips/vips.h> int im_header_int( IMAGE *image, const char *field, int *out )
int im_header_double( IMAGE *image, const char *field, double *out )
int im_header_string( IMAGE *image, const char *field, char **out )

DESCRIPTION
im_header_int() reads the value of the integer header fields. These are "Xsize", "Ysize", "Bands", "Bbits", "BandFmt", "Coding", and "Type". im_header_double() reads the value of the integer header fields. These are "Xres", and "Yres". im_header_string() reads the value of the integer header fields. These are "Hist", and "filename".

RETURN VALUE
All functions returns 0 on success and -1 on error.

SEE ALSO
im_close(3), im_open(3), `VIPS Library Programmers' Guide,' in accompanying documentation.